Bug 84342 - UI: 'Slide Design' dialog: rename check 'Exchange background page' to "Apply slide master to all slides"
Summary: UI: 'Slide Design' dialog: rename check 'Exchange background page' to "Apply...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Cor Nouws
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Impress-UX Master-Slide
  Show dependency treegraph
 
Reported: 2014-09-26 00:52 UTC by Yousuf Philips (jay) (retired)
Modified: 2020-03-10 09:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
presentation to start test (274.42 KB, application/vnd.oasis.opendocument.presentation)
2020-02-24 22:56 UTC, Cor Nouws
Details
presentation after test is finished (479.55 KB, application/vnd.oasis.opendocument.presentation)
2020-02-24 22:57 UTC, Cor Nouws
Details
draw file with screenshots and description (3.01 MB, application/vnd.oasis.opendocument.graphics)
2020-02-24 22:57 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-26 00:52:26 UTC
It would be good to include a checkbox in the 'Slide Design' dialog that allows the selected master to be applied to all the slides, similar to how you have the option in the sidebar to apply a master page to all the slides.
Comment 1 Cor Nouws 2014-09-26 12:31:47 UTC
Isn't it an idea to rework slide design dialog towards Loading only, since all the rest can be done via the panel in de side bar ?
Comment 2 Yousuf Philips (jay) (retired) 2014-09-26 22:10:15 UTC
Initially, the intent of this bug report was going to be to eliminate the 'slide design' dialog and simply link 'slide design' to the master pages sidebar. The reason i felt that it should be kept was that the sidebar doesnt have the checkbox features 'exchange background page' or 'delete unused backgrounds'.
Comment 3 Owen Genat (retired) 2014-09-30 14:04:43 UTC
(In reply to comment #2)
> The reason i felt that it should be kept was that the sidebar
> doesnt have the checkbox features 'exchange background page' or 'delete
> unused backgrounds'.

Can these not be added to the Used in This Presentation sub-pane of the Master Page pane?
Comment 4 Yousuf Philips (jay) (retired) 2014-09-30 20:26:26 UTC
(In reply to comment #3)
> Can these not be added to the Used in This Presentation sub-pane of the
> Master Page pane?

I havent used these features before so i wouldnt know how useful they are and how possible it is to include them in the sidebar. But i assume it maybe difficult to do those on a per slide basis.
Comment 5 Teddy Chevalier 2019-09-01 14:25:14 UTC
Unable to type with boxing gloves on. Zombie junkie. Internet fanatic. https://hardcoregaytubeporn.com/en/category/4294967357/Masturbating/popular/1/
Comment 6 Cor Nouws 2020-02-22 13:22:32 UTC
the choice 'Exchange background page' does that
See also Help Impress>Slide design
Comment 7 Cor Nouws 2020-02-22 16:42:22 UTC
patch in gerrit https://gerrit.libreoffice.org/c/core/+/89257
Comment 8 Cor Nouws 2020-02-22 20:59:53 UTC
and Help needs updating for this change
Comment 9 Heiko Tietze 2020-02-24 09:18:15 UTC
The dialog is Slide > Change Slide Master... and you can select one of the slide designs to apply as master. The checkbox "[ ] Exchange background page" allows to keep applied background images and "[ ] Delete unused backgrounds" to... I donÄt know. But anyway, it's not to "[ ] Apply Master Slide to all slides" (toggled off means to not apply). 

The request seems to be invalid.
Comment 10 Cor Nouws 2020-02-24 09:29:29 UTC
(In reply to Heiko Tietze from comment #9)
> backgrounds" to... I don't know. But anyway, it's not to "[ ] Apply Master
> Slide to all slides" (toggled off means to not apply). 
> 
> The request seems to be invalid.
I did actually test it. Looked at what happened with slide masters present in the presentation and in use on the slides.
Did you? What did I miss?
Comment 11 Heiko Tietze 2020-02-24 12:36:55 UTC
(In reply to Cor Nouws from comment #10)
> Did you?

Three different master with a gradient, some hatch, and a bitmap. Applied to four slides where two have a background bitmap. "[ ] Exchange background page" off applies the master background to only the current slide, when check all slides without a background change accordingly. The option "[ ] Delete unused backgrounds" has no effect.
Switching master per sidebar affects the content while per dialog the font size, for example, is not touched.

Putting all together "[ ] Apply Master Slide to all slides" seems to be wrong here.
Comment 12 Cor Nouws 2020-02-24 22:56:34 UTC
Created attachment 158152 [details]
presentation to start test
Comment 13 Cor Nouws 2020-02-24 22:57:13 UTC
Created attachment 158153 [details]
presentation after test is finished
Comment 14 Cor Nouws 2020-02-24 22:57:53 UTC
Created attachment 158154 [details]
draw file with screenshots and description
Comment 15 Cor Nouws 2020-02-24 23:06:43 UTC
attachments
- presentation at start
- presentation after test
- screen shots and description.

Conclusion:
 - Select "Exchange background page" makes that the selected Slide Master is applied to all slides that have the same Slide Master as the selected slide (see slide panel)
 - Not selecting "Exchange background page" > only selected slide is changed
 - Also the footer text formatting of the slide changes to that of the new Slide Master
 - Also the non-image formatting of a slide changes to the (non image) formatting of the new Slide Master


 - Select "Exchange background page" changes master slide of all slides with same slide master as selected one

So text should be 
  _Apply Master Slide to all slides (similar as the one selected)

OK :) ?
Comment 16 Heiko Tietze 2020-02-25 08:50:43 UTC
(In reply to Cor Nouws from comment #15)
> OK :) ?

I expect from this function "Change Slide Master" to replace the master, which may or may not affects all slides. And I can follow the idea to optionally replace the slide background. So 

"[ ] Apply master slide to all slides" 

is fine but plus

"[ ] Exchange background page" 

Anyway, not blocking as I might be wrong. Please keep an eye on proper case: "Master Slide" as a proper noun is correct, not sure that we use it in this way.
Comment 17 Cor Nouws 2020-02-25 22:18:36 UTC
(In reply to Heiko Tietze from comment #16)
> "[ ] Apply master slide to all slides" 
Long version:
   "Apply Master Slide (to all slides with similar Master Slide as the currently selected slide)"
Short
   "Apply Master Slide (to all slides similar as the one selected)"
Comment 18 Heiko Tietze 2020-02-26 09:30:52 UTC
How about a very short command name "[ ] Apply master to all slides" and have a "disclaimer" below. "Check this option to apply the master not only to the current slide but all using the same master". Could be a static GtkLabel with smaller font or italic or grey font color.
Comment 19 Cor Nouws 2020-02-28 21:44:45 UTC
(In reply to Heiko Tietze from comment #18)
> How about a very short command name "[ ] Apply master to all slides" and
> have a "disclaimer" below. "Check this option to apply the master not only
> to the current slide but all using the same master". Could be a static
> GtkLabel with smaller font or italic or grey font color.
This is an option, but I think I do not see similar solution often in LibreOffice? :)
Comment 20 Heiko Tietze 2020-03-02 15:23:03 UTC
(In reply to Cor Nouws from comment #19)
> This is an option, but I think I do not see similar solution often in
> LibreOffice? :)

For good reasons as it's always bad usability when a command needs explanation. It's workflow (what the function actually does), terminology (how it's labelled), and kind of interaction that has to be simple and appropriate. Our discussion is an indicator that something is wrong here ;-).
Comment 21 Cor Nouws 2020-03-02 21:43:56 UTC
(In reply to Cor Nouws from comment #17)
> Long version:
>    "Apply Master Slide (to all slides with similar Master Slide as the
> currently selected slide)"
> Short
>    "Apply Master Slide (to all slides similar as the one selected)"
Since the dialog is about applying Master Slides, the obvious text for the checkbox is:
   "Apply to all slides (with similar Master as the selected slide)"
which starts to get more in the direction.
Comment 22 Shawn Cade 2020-03-10 09:58:20 UTC Comment hidden (spam)